Name: libvmw_pvrdma
Version: 1.0.0
Release: 1%{?dist}
Summary: VMware Paravirtual RDMA Userspace Driver
Vendor: VMware, Inc.

Group: System Environment/Libraries
License: GPLv2 or BSD
Url: http://www.vmware.com
Source: %{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: rdma-core >= 12

%description
libvmw_pvrdma provides a device-specific userspace driver for VMware guests for
use with the libibverbs library.

%package devel
Summary: Development files for the libvmw_pvrdma driver
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Provides: libvmw_pvrdma-static = %{version}-%{release}

%description devel
Static version of libvmw_pvrdma that may be linked directly to an
application, which may be useful for debugging.

%prep
%setup -q -n %{name}-1.0.0

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{_libdir}/libvmw_pvrdma.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libvmw_pvrdma-rdmav2.so
%{_sysconfdir}/libibverbs.d/vmw_pvrdma.driver
%doc AUTHORS COPYING README

%files devel
%defattr(-,root,root,-)
%{_libdir}/libvmw_pvrdma.a

%changelog
* Mon Mar 13 2017 Adit Ranadive <aditr@vmware.com>
- Do a 1.0.0 release for OFED 4.8 RC.
